Update a merchant account

Updates credentials, payment options, and fee rules for one merchant account.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idintegerRequired
Merchant account identifier to update.

Request

This endpoint expects an object.
type_iddouble or nullOptional
namestring or nullOptional
connection_datastring or nullOptional
JSON encoded connection settings.
charge_processing_feesboolean or nullOptional
fee_display_optionstring or nullOptional
optional_fee_coveragestring or nullOptional
credit_card_enabledboolean or nullOptional
ach_enabledboolean or nullOptional
deposit_account_idinteger or nullOptional
ruleslist of objectsOptional
rules_to_deletelist of integersOptional
is_*_requiredany or nullOptional

Provider-specific optional requirement flag.

Response

The merchant account was updated and returned.
statusstringOptional
messagestringOptional
dataobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error